Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface RegistryObjectType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AdhocQueryType, AssociationType1, AuditableEventType, ClassificationNodeType, ClassificationSchemeType, ClassificationType, ExternalIdentifierType, ExternalLinkType, ExtrinsicObjectType, FederationType, NotificationType, OrganizationType, PersonType, RegistryPackageType, RegistryType, ServiceBindingType, ServiceType, SpecificationLinkType, SubscriptionType, UserType

All Known Implementing Classes:
  AdhocQueryTypeImpl, AssociationType1Impl, AuditableEventTypeImpl, ClassificationNodeTypeImpl, ClassificationSchemeTypeImpl, ClassificationTypeImpl, ExternalIdentifierTypeImpl, ExternalLinkTypeImpl, ExtrinsicObjectTypeImpl, FederationTypeImpl, NotificationTypeImpl, OrganizationTypeImpl, PersonTypeImpl, RegistryObjectTypeImpl, RegistryPackageTypeImpl, RegistryTypeImpl, ServiceBindingTypeImpl, ServiceTypeImpl, SpecificationLinkTypeImpl, SubscriptionTypeImpl, UserTypeImpl

    public interface RegistryObjectType

extends IdentifiableType

A representation of the model object 'Registry Object Type'. id may be empty. If specified it may be in urn:uuid format or be in some arbitrary format. If id is empty registry must generate globally unique id. If id is provided and in proper URN syntax the registry MUST honour it. If id is provided and is not in proper URN syntax then it is used for linkage within document and is ignored by the registry. In this case the registry generates a UUID URN for id attribute. id must not be null when object is being retrieved from the registry.

The following features are supported:

- `Name`
- `Description`
- `Version Info`
- `Classification`
- `External Identifier`
- `Lid`
- `Object Type`
- `Status`

See Also:
  `RimPackage.getRegistryObjectType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getClassification()` Returns the value of the 'Classification' containment reference list.
`InternationalStringType` | `getDescription()` Returns the value of the 'Description' containment reference.
`org.eclipse.emf.common.util.EList` | `getExternalIdentifier()` Returns the value of the 'External Identifier' containment reference list.
`java.lang.String` | `getLid()` Returns the value of the 'Lid' attribute.
`InternationalStringType` | `getName()` Returns the value of the 'Name' containment reference.
`java.lang.String` | `getObjectType()` Returns the value of the 'Object Type' attribute.
`java.lang.String` | `getStatus()` Returns the value of the 'Status' attribute.
`VersionInfoType` | `getVersionInfo()` Returns the value of the 'Version Info' containment reference.
`void` | `setDescription(InternationalStringType value)` Sets the value of the '`Description`' containment reference.
`void` | `setLid(java.lang.String value)` Sets the value of the '`Lid`' attribute.
`void` | `setName(InternationalStringType value)` Sets the value of the '`Name`' containment reference.
`void` | `setObjectType(java.lang.String value)` Sets the value of the '`Object Type`' attribute.
`void` | `setStatus(java.lang.String value)` Sets the value of the '`Status`' attribute.
`void` | `setVersionInfo(VersionInfoType value)` Sets the value of the '`Version Info`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    InternationalStringType getName()

  Returns the value of the 'Name' containment reference.

  If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(InternationalStringType)`, `RimPackage.getRegistryObjectType_Name()`

### setName

    void setName(InternationalStringType value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getDescription

    InternationalStringType getDescription()

  Returns the value of the 'Description' containment reference.

  If the meaning of the 'Description' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference.
  See Also:
    `setDescription(InternationalStringType)`, `RimPackage.getRegistryObjectType_Description()`

### setDescription

    void setDescription(InternationalStringType value)

  Sets the value of the '`Description`' containment reference.

  Parameters:
    `value` - the new value of the 'Description' containment reference.
  See Also:
    `getDescription()`

### getVersionInfo

    VersionInfoType getVersionInfo()

  Returns the value of the 'Version Info' containment reference.

  If the meaning of the 'Version Info' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version Info' containment reference.
  See Also:
    `setVersionInfo(VersionInfoType)`, `RimPackage.getRegistryObjectType_VersionInfo()`

### setVersionInfo

    void setVersionInfo(VersionInfoType value)

  Sets the value of the '`Version Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Version Info' containment reference.
  See Also:
    `getVersionInfo()`

### getClassification

    org.eclipse.emf.common.util.EList getClassification()

  Returns the value of the 'Classification' containment reference list. The list contents are of type `ClassificationType`.

  If the meaning of the 'Classification' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Classification' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectType_Classification()`

### getExternalIdentifier

    org.eclipse.emf.common.util.EList getExternalIdentifier()

  Returns the value of the 'External Identifier' containment reference list. The list contents are of type `ExternalIdentifierType`.

  If the meaning of the 'External Identifier' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Identifier' containment reference list.
  See Also:
    `RimPackage.getRegistryObjectType_ExternalIdentifier()`

### getLid

    java.lang.String getLid()

  Returns the value of the 'Lid' attribute.

  If the meaning of the 'Lid' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lid' attribute.
  See Also:
    `setLid(String)`, `RimPackage.getRegistryObjectType_Lid()`

### setLid

    void setLid(java.lang.String value)

  Sets the value of the '`Lid`' attribute.

  Parameters:
    `value` - the new value of the 'Lid' attribute.
  See Also:
    `getLid()`

### getObjectType

    java.lang.String getObjectType()

  Returns the value of the 'Object Type' attribute.

  If the meaning of the 'Object Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Type' attribute.
  See Also:
    `setObjectType(String)`, `RimPackage.getRegistryObjectType_ObjectType()`

### setObjectType

    void setObjectType(java.lang.String value)

  Sets the value of the '`Object Type`' attribute.

  Parameters:
    `value` - the new value of the 'Object Type' attribute.
  See Also:
    `getObjectType()`

### getStatus

    java.lang.String getStatus()

  Returns the value of the 'Status' attribute.

  If the meaning of the 'Status' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status' attribute.
  See Also:
    `setStatus(String)`, `RimPackage.getRegistryObjectType_Status()`

### setStatus

    void setStatus(java.lang.String value)

  Sets the value of the '`Status`' attribute.

  Parameters:
    `value` - the new value of the 'Status' attribute.
  See Also:
    `getStatus()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD